using Syntriax.Engine.Core;

namespace Syntriax.Engine.Physics2D;

/// <summary>
/// Represents a <see cref="ICollider2D"/> with the shape of a <see cref="Circle"/>.
/// </summary>
public interface ICircleCollider2D : ICollider2D
{
    /// <summary>
    /// The local <see cref="Circle"/> shape of the <see cref="ICollider2D"/>.
    /// </summary>
    Circle CircleLocal { get; set; }

    /// <summary>
    /// The world space representation of the <see cref="Circle"/> shape.
    /// </summary>
    Circle CircleWorld { get; }
}
